Bug 117901 - Signature line can't be signed with OOXML docs
Summary: Signature line can't be signed with OOXML docs
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.0.0.beta1+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0 target:6.1.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-30 14:07 UTC by Samuel Mehrbrodt (CIB)
Modified: 2018-07-06 12:59 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2018-05-30 14:07:20 UTC
Currently only works with ODF (although signature lines are roundtripped in OOXML).

Shouldn't be too hard to have this also for OOXML. We need to write the graphics as base64 encoded emf graphics to the signature.
Comment 1 Commit Notification 2018-07-05 06:06:39 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7bafb7ca8ef9467f5c55766d2a38ba0d0a60837c

tdf#117901 Write signature line images as emf to ooxml

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2018-07-06 12:23:43 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=34c1d80d91b62afa74d0566d88b7f4fbd0dcb433&h=libreoffice-6-1

tdf#117901 Write signature line images as emf to ooxml

It will be available in 6.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Samuel Mehrbrodt (CIB) 2018-07-06 12:59:48 UTC
Closing this, related problem is bug 118567.